For the complete documentation index, see llms.txt. This page is also available as Markdown.

Load Balancer SDK

Create Load Balancer Orchestration

post
Header parameters
x-regionstringRequiredExample: In-Bangalore-1
k-customer-idstringRequired
x-account-idstringRequired
AuthorizationstringRequiredExample: Bearer <token>
Body
loadbalancer_dataobjectOptional
listenersobject[]Optional
Responses
202

Orchestration task accepted.

No content

post/v3/highlvl/create_load_balancer_orchestration
POST /v3/highlvl/create_load_balancer_orchestration HTTP/1.1
Host: r1.staging.olakrutrim.com
x-region: In-Bangalore-1
k-customer-id: text
x-account-id: text
Authorization: Bearer <token>
Content-Type: application/json
Accept: */*
Content-Length: 41

{
  "loadbalancer_data": {},
  "listeners": [
    {}
  ]
}
202

Orchestration task accepted.

No content

Update Load Balancer

post
Path parameters
lb_krnstringRequired
Header parameters
x-regionstringRequiredExample: In-Bangalore-1
AuthorizationstringRequiredExample: Bearer <token>
Body
lb_krnstringOptional
loadbalancer_dataobjectOptional
listenersobject[]Optional
Responses
200

Load balancer updated successfully.

No content

post/v3/highlvl/update_load_balancer/{lb_krn}
POST /v3/highlvl/update_load_balancer/{lb_krn} HTTP/1.1
Host: r1.staging.olakrutrim.com
x-region: In-Bangalore-1
Authorization: Bearer <token>
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "lb_krn": "text",
  "loadbalancer_data": {},
  "listeners": [
    {}
  ]
}
200

Load balancer updated successfully.

No content

Delete Load Balancer

delete
Path parameters
lb_krnstringRequired
Header parameters
x-regionstringRequiredExample: In-Bangalore-1
AuthorizationstringRequiredExample: Bearer <token>
Responses
204

Deletion initiated.

No content

delete/v3/highlvl/loadbalancer/{lb_krn}
DELETE /v3/highlvl/loadbalancer/{lb_krn} HTTP/1.1
Host: r1.staging.olakrutrim.com
x-region: In-Bangalore-1
Authorization: Bearer <token>
Accept: */*
204

Deletion initiated.

No content

Fetch Detailed LB Payload

get
Path parameters
lb_krnstringRequired
Header parameters
AuthorizationstringRequiredExample: Bearer <token>
Responses
200

Full configuration payload returned.

No content

get/v3/highlvl/fetch_payload_multiple/{lb_krn}
GET /v3/highlvl/fetch_payload_multiple/{lb_krn} HTTP/1.1
Host: r1.staging.olakrutrim.com
Authorization: Bearer <token>
Accept: */*
200

Full configuration payload returned.

No content

List Load Balancers by VPC

get
Path parameters
vpc_krnstringRequired
Header parameters
AuthorizationstringRequiredExample: Bearer <token>
Responses
200

List of load balancers.

No content

get/v3/highlvl/get_lb_list_new/{vpc_krn}
GET /v3/highlvl/get_lb_list_new/{vpc_krn} HTTP/1.1
Host: r1.staging.olakrutrim.com
Authorization: Bearer <token>
Accept: */*
200

List of load balancers.

No content

Get Task Status

get
Path parameters
task_idstring · uuidRequired
Header parameters
AuthorizationstringRequiredExample: Bearer <token>
Responses
200

Current task progress.

No content

get/v3/highlvl/task_status/{task_id}
GET /v3/highlvl/task_status/{task_id} HTTP/1.1
Host: r1.staging.olakrutrim.com
Authorization: Bearer <token>
Accept: */*
200

Current task progress.

No content

Create Target Group

post
Header parameters
x-regionstringRequiredExample: In-Bangalore-1
AuthorizationstringRequiredExample: Bearer <token>
Body
vpc_idstringOptional
target_group_namestringOptional
Responses
201

Target group created.

No content

post/v1/highlvl/create_target_group
POST /v1/highlvl/create_target_group HTTP/1.1
Host: r1.staging.olakrutrim.com
x-region: In-Bangalore-1
Authorization: Bearer <token>
Content-Type: application/json
Accept: */*
Content-Length: 193

{
  "vpc_id": "text",
  "target_group_name": "text",
  "members": [
    {
      "name": "text",
      "address": "text",
      "protocol_port": 1,
      "weight": 1
    }
  ],
  "health_monitor": {
    "h_type": "text",
    "timeout": 1,
    "delay": 1,
    "url_path": "text"
  }
}
201

Target group created.

No content

Update Target Group Members/Health

post
Header parameters
x-regionstringRequiredExample: In-Bangalore-1
AuthorizationstringRequiredExample: Bearer <token>
Body
vpc_idstringOptional
target_group_namestringOptional
Responses
200

Target group updated.

No content

post/v1/highlvl/updatetg
POST /v1/highlvl/updatetg HTTP/1.1
Host: r1.staging.olakrutrim.com
x-region: In-Bangalore-1
Authorization: Bearer <token>
Content-Type: application/json
Accept: */*
Content-Length: 193

{
  "vpc_id": "text",
  "target_group_name": "text",
  "members": [
    {
      "name": "text",
      "address": "text",
      "protocol_port": 1,
      "weight": 1
    }
  ],
  "health_monitor": {
    "h_type": "text",
    "timeout": 1,
    "delay": 1,
    "url_path": "text"
  }
}
200

Target group updated.

No content

Delete Target Group

delete
Query parameters
vpc_idstringRequired
target_group_namestringRequired
Header parameters
AuthorizationstringRequiredExample: Bearer <token>
Responses
200

Target group deleted.

No content

delete/v1/highlvl/target_group
DELETE /v1/highlvl/target_group?vpc_id=text&target_group_name=text HTTP/1.1
Host: r1.staging.olakrutrim.com
Authorization: Bearer <token>
Accept: */*
200

Target group deleted.

No content

Get Full TG List

get
Query parameters
vpc_idstringRequired
Header parameters
AuthorizationstringRequiredExample: Bearer <token>
Responses
200

Comprehensive list of target groups.

No content

get/v1/highlvl/get_tg_list
GET /v1/highlvl/get_tg_list?vpc_id=text HTTP/1.1
Host: r1.staging.olakrutrim.com
Authorization: Bearer <token>
Accept: */*
200

Comprehensive list of target groups.

No content

Get Detailed Target Groups

get
Query parameters
vpc_idstringRequired
target_group_namestringOptional
Header parameters
AuthorizationstringRequiredExample: Bearer <token>
Responses
200

Detailed TG info.

No content

get/v1/highlvl/get_target_groups
GET /v1/highlvl/get_target_groups?vpc_id=text HTTP/1.1
Host: r1.staging.olakrutrim.com
Authorization: Bearer <token>
Accept: */*
200

Detailed TG info.

No content

Get TG Names Only

get
Query parameters
vpc_idstringRequired
Header parameters
AuthorizationstringRequiredExample: Bearer <token>
Responses
200

Array of strings containing TG names.

No content

get/v1/highlvl/get_target_group_names
GET /v1/highlvl/get_target_group_names?vpc_id=text HTTP/1.1
Host: r1.staging.olakrutrim.com
Authorization: Bearer <token>
Accept: */*
200

Array of strings containing TG names.

No content

Last updated

Was this helpful?